<?php 
include('../../../../configuracion.php');
include('../config.php');
$id = isset($_GET['id']) ? $_GET['id'] : NULL;
$datos = $db->row(TABLA,'*',"id='$id'");

///////////////////////////////////////////////////////
	 
$nombre = isset($_POST['nombre']) ? $_POST['nombre'] : NULL;
$nombre = funcion::LimpiaComillaSimple($nombre);


$editor = $_SESSION['administrador_mago_id'];
$fecha_edicion = date('Y-m-d H:i:s');

		$datos_edicion = array(
			'nombre'			=> $db->string($nombre),
			'editor'			=> @$editor+0,
			'fecha_edicion'		=> $db->string($fecha_edicion)
		);

		if ($db->update(TABLA,$datos_edicion,"id='{$id}'")==1) {
			$mensaje_respuesta = 'Edición exitosa.';
			$url_respuesta = MAGO."c/".MODULO;
		} else {
			$mensaje_respuesta = 'ERROR: No se pudo editar';
			$url_respuesta = MAGO."c/".MODULO.'/editar/'.$id;
		}


	
		// ======PROCESAMOS IMAGEN 1 =======
		// ========================================
		
		// Incluimos la clase Upload
		include_once 'class.upload.php';
        $imagen = new upload($_FILES['imagen_nueva']);
		
		// Comprobamos si se subió la imagen
		if ($imagen->uploaded) {

              // Borramos las imágenes anteriores
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->imagen);
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->miniatura);
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->recorte);
		
		
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.rand(1111,9999);
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 250; /* Ancho */
			  $imagen->image_y					= 142; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'imagen'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
		
		
		// ===================================================================================
		// CREAMOS LA MINIATURA
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->file_new_name_body		= $id.'-min';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 100; /* Ancho */
			  $imagen->image_y					= 100; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'miniatura'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DE LA MINIATURA
		// ===================================================================================
		
		// ===================================================================================
		// CREAMOS EL RECORTE
		   
			  $imagen->image_convert			= 'png';
			  $imagen->jpeg_quality				= 92;
			  $imagen->allowed					= array('image/*');
			  $imagen->file_new_name_body		= $id.'-rec';
			  $imagen->file_new_name_ext		= 'png';
			  $imagen->image_resize				= true;
			  $imagen->image_ratio_crop			= true;
			  $imagen->image_background_color	= '';
			  $imagen->image_x					= 40; /* Ancho */
			  $imagen->image_y					= 40; /* Alto */
			  
			  $imagen->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagen->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'recorte'	=> $db->string($imagen->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagen->error;
				}
		// FIN DE LA CREACIÓN DEL RECORTE
		// ===================================================================================
				
		}
		
		//======FIN DEL PROCESO DE LA IMAGEN 1=======


        $imagenback = new upload($_FILES['banner']);
		
		// Comprobamos si se subió la imagen
		if ($imagenback->uploaded) {

		// Borramos las imágenes anteriores
		@unlink('../../../../imagenes/'.FOLDER.'/'.$datos->banner);
			 
		// ===================================================================================
		// CREAMOS LA IMAGEN ORIGINAL
			  
			  $imagenback->image_convert			= 'jpg';
			  $imagenback->jpeg_quality				= 92;
			  $imagenback->allowed					= array('image/*');
			  $imagenback->file_new_name_body		= 'slide-'.$id;
			  $imagenback->image_resize				= true;
			  $imagenback->image_ratio_crop			= true;
			  $imagenback->image_background_color	= '#FFFFFF';
			  $imagenback->image_x					= 1920; /* Ancho */
			  $imagenback->image_y					= 700; /* Alto */
			  
			  $imagenback->process('../../../../imagenes/'.FOLDER.'/');
			  if ($imagenback->processed) {
				  
				// Subimos a la base de datos
				$datos = array(
					'banner'	=> $db->string($imagenback->file_dst_name),
				);		
				$db->update(TABLA,$datos,"id='$id'");	
				
				} else {
					$mensaje_respuesta = $mensaje_respuesta.'<br>ERROR: '.$imagenback->error;
				}
		// FIN DE LA CREACIÓN DE LA IMAGEN ORIGINAL
		// ===================================================================================
				
		}
		
      
		
echo $mensaje_respuesta.'|'.$url_respuesta;
exit;
?>